package com.adealink.weparty.gift.datasource.local

import android.content.Context
import com.adealink.frame.storage.sp.TypeDelegationPrefs
import com.adealink.frame.util.AppUtil
import com.adealink.weparty.module.account.AccountModule
import com.adealink.weparty.storage.PREF_GIFT

object GiftLocalService : TypeDelegationPrefs(
    prefs = {
        AppUtil.appContext.getSharedPreferences(PREF_GIFT, Context.MODE_PRIVATE)
    },
    userId = {
        AccountModule.uid
    }
) {
    var gifts: String by PrefUserKey("key_gifts", "")

    var giftResources: String by PrefUserKey("key_gift_resource", "")

}